--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify-lookup Fri Oct 10 12:08:49 2008 -0500
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" inotify || exit 80
+
+hg init
+echo "[extensions]" > .hg/hgrc
+echo "inotify=" >> .hg/hgrc
+hg inserve -d --pid-file .hg/inotify.pid
+
+echo a > a
+hg ci -Aqm0
+hg co -q null
+hg co -q
+hg st
+cat a
+
+kill `cat .hg/inotify.pid`
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify-lookup.out Fri Oct 10 12:08:49 2008 -0500
@@ -0,0 +1,1 @@
+a